define([],

    function () {
        var summaryItems = [];
        summaryItems.push(
        );

        var app = {

            title: '',
            id: 'schedulingCalendarView', //match the app hash
            patientAppointmentsFuture: 'patient-appointments-future'
        };

        var constants = {
        };

		var spinnerOptions = {
			text: 'Loading, Please Wait...',
			textVisible: 'true',
			theme: 'd',
			html: ''
		};

        return {
            assembleSummaryItems: function () {
                return summaryItems;
            },
            defineResourceTitles: function () {
                return app;
            },
            getConstants: function () {
                return constants;
            },
			getSpinnerOptions: function () {
				return spinnerOptions;
			}
        };
    }
);